Skip to main content
GET
/
liquidation_addresses
/
drains
/
pending
List drains with pending USDT trades
curl --request GET \
  --url https://api.bridge.xyz/v0/liquidation_addresses/drains/pending \
  --header 'Api-Key: <api-key>'
{
  "count": 123,
  "data": [
    {
      "id": "<string>",
      "amount": "<string>",
      "customer_id": "<string>",
      "liquidation_address_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deposit_tx_hash": "<string>",
      "from_address": "<string>",
      "source_payment_rail": "<string>",
      "destination": {
        "to_address": "<string>",
        "blockchain_memo": "<string>",
        "external_account_id": "<string>",
        "wire_message": "<string>",
        "sepa_reference": "<string>",
        "swift_reference": "<string>",
        "spei_reference": "<string>",
        "reference": "<string>",
        "ach_reference": "<string>",
        "imad": "<string>",
        "trace_number": "<string>",
        "tracking_number": "<string>",
        "transaction_id": "<string>",
        "sending_institution_name": "<string>",
        "uetr": "<string>"
      },
      "destination_tx_hash": "<string>",
      "refund_tx_hash": "<string>",
      "return_details": {
        "reason": "<string>",
        "risk_rejection_reason": "<string>"
      },
      "receipt": {
        "initial_amount": "<string>",
        "developer_fee": "<string>",
        "subtotal_amount": "<string>",
        "converted_amount": "<string>",
        "exchange_rate": "<unknown>",
        "outgoing_amount": "<string>",
        "gas_fee": "<string>",
        "url": "<string>"
      },
      "exchange_details": {
        "fixed_rate": "<string>",
        "estimated_market_rate": "<string>",
        "traded_market_rate": "<string>",
        "trade_at_market": true,
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

Api-Key
string
header
required

Query Parameters

limit
integer
default:10

The number of items to return (min 1, default 10, max 100)

Required range: 1 <= x <= 100
starting_after
string

This is a drain id. If this is specified, the next page that starts with a drain right AFTER the specified drain id on the drain timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that drains older than the specified drain id will be returned (shouldn't be set if ending_before is set)

ending_before
string

This is a drain id. If this is specified, the previous page that ends with a drain right BEFORE the specified drain id on the drain timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that drains newer than the specified drain id will be returned (shouldn't be set if starting_after is set)

updated_after_ms
integer

This is a unix timestamp in milliseconds. If this is specified, objects updated AFTER the specified timestamp will be returned

updated_before_ms
integer

This is a unix timestamp in milliseconds. If this is specified, objects updated BEFORE the specified timestamp will be returned

Response

List of drains with pending trades (the returned list is empty if none found)

count
integer
required

The number of drains returned

data
object[]
required